Skip to Content
APIWallet

Wallet

Returns the list of TRX transfers for a specific address.

The value sum of start and limit must be less than or equal to 10000.

GET https://apilist.tronscanapi.com/api/transfer/trx?address=TSTVYwFDp7SBfZk7Hrz3tucwQVASyJdwC7&start=0&limit=20&direction=0&reverse=true&fee=true&db_version=1&start_timestamp=&end_timestamp=

Try this endpoint in your browser ↗ 🔗

ParameterDescription
startStart number. Default: 0
limitNumber of items per page. Default: 20
addressQuery address
directionDefault: 1. 1: inbound transfers. 2: outbound transfers. 0: both
start_timestampStart timestamp
end_timestampEnd timestamp
db_versionDefault: 0, which filters out transfers with invalid to or from addresses
reverseSort the data in descending order. Default: true
feeWhether to return data of TRX burning for resource consumption. Default: false

Get the transfer list of a specific TRC10 token for a certain address

Returns the transfer list of a TRC10 token for a specific account.

The value sum of start and limit must be less than or equal to 10000.

GET https://apilist.tronscanapi.com/api/transfer/token10?address=TK1AgzEiqiAuvnPVACvjJexwV4svyBxBdW&trc10Id=1002000&start=0&limit=2&direction=0&reverse=true&db_version=1&start_timestamp=&end_timestamp=

Try this endpoint in your browser ↗ 🔗

ParameterDescription
startStart number. Default: 0
limitNumber of items per page. Default: 20
addressQuery address
trc10IdTRC10 token ID
directionDefault: 1. 1: inbound transfers. 2: outbound transfers. 0: both
start_timestampStart timestamp
end_timestampEnd timestamp
db_versionDefault: 0, which filters out transfers with invalid to or from addresses
reverseSort the data in descending order. Default: true

Get the transfer list of a specific TRC20 token for a certain address

Returns the transfer list of a TRC20 token for a specific account.

The value sum of start and limit must be less than or equal to 10000.

GET https://apilist.tronscanapi.com/api/transfer/trc20?address=TSTVYwFDp7SBfZk7Hrz3tucwQVASyJdwC7&trc20Id=TCmSR8UYWvsZkZmprGKaudTuWUZ62ycnnN&start=0&limit=2&direction=0&reverse=true&db_version=1&start_timestamp=&end_timestamp=

Try this endpoint in your browser ↗ 🔗

ParameterDescription
startStart number. Default: 0
limitNumber of items per page. Default: 20
addressQuery address
trc20IdTRC20 token ID
directionDefault: 1. 1: inbound transfers. 2: outbound transfers. 0: both
start_timestampStart timestamp
end_timestampEnd timestamp
db_versionDefault: 0, which filters out transfers with invalid to or from addresses
reverseSort the data in descending order. Default: true

Get the information of tokens held and followed in the account’s web wallet

Returns a list of tokens held and followed by an account.

GET https://apilist.tronscanapi.com/api/account/wallet?address=TSTVYwFDp7SBfZk7Hrz3tucwQVASyJdwC7&asset_type=0

Try this endpoint in your browser ↗ 🔗

ParameterDescription
addressQuery address
asset_typeAsset types. 0: All (default). 1: Assets (TRX, TRC10, TRC20). 2: Collectibles (TRC721 and TRC1155)

Get the amount of unfreezable TRX in address

Returns the amount of unfreezable TRX in one address.

GET https://apilist.tronscanapi.com/api/account/resource/unfreeze?address=TGXD5vRuCng2k8Ei51u4fmLxYzAUcJngGP

Try this endpoint in your browser ↗ 🔗

ParameterDescription
addressQuery address
Last updated on: